---
title: adData
slug: Web/API/BluetoothDevice/adData
tags:
  - API
  - Bluetooth
  - BluetoothDevice
  - Non-standard
  - Obsolete
  - Property
  - Reference
  - Web Bluetooth API
  - adData
---
<div>{{APIRef("Bluetooth API")}}{{Non-standard_Header}}{{Obsolete_Header}}</div>

<p>The <strong><code>BluetoothDevice.adData</code></strong> read-only property returns instance of {{DOMxRef("BluetoothAdvertisingData")}} containing the most recent advertising data received for the device.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var instanceOfBluetoothAdData = <em>instanceOfBluetoothDevice</em>.adData</pre>

<h3 id="Returns">Returns</h3>

<p>An instance of {{DOMxRef("BluetoothAdvertisingData")}}.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.BluetoothDevice.adData")}}</p>
</div>
